Subject: Re: [Bitcoin-development] BIP for Proof of Payment

From: Peter Todd <[email-masked]>
Date: Sat, 6 Jun 2015 11:32:47 -0400

On Sat, Jun 06, 2015 at 05:23:48PM +0200, Pieter Wuille wrote:
> On Sat, Jun 6, 2015 at 5:18 PM, Luke Dashjr <[email-masked]> wrote:
> 
> > I also agree with Pieter, that this should *not* be so cleanly compatible
> > with Bitcoin transactions. If you wish to share code, perhaps using an
> > invalid opcode rather than OP_RETURN would be appropriate.
> 
> 
> Using an invalid opcode would merely send funds into the void. It wouldn't
> invalidate the transaction.

Just set nLockTime to 500000000-1 and nSequence appropriately to make
the transaction impossible to mine for the next 9500 years.

Though I agree that this whole idea seems a bit dubious to me.

-- 
'peter'[:-1]@petertodd.org
00000000000000000000dd919214b66444dcebb4aa0214c1ab7c8b3b633be71f